#pragma once

#include "CoreMinimal.h"
#include "StatusEffect.h"
#include "DBDTunableRowHandle.h"
#include "Templates/SubclassOf.h"
#include "K36InvisibilityStatusEffect.generated.h"

UCLASS(Blueprintable, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UK36InvisibilityStatusEffect : public UStatusEffect
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _effectLifetime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _preEndingEffectTime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	FDBDTunableRowHandle _afterInvisibilityStatusEffectLifetime;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UStatusEffect> _afterInvisibilityStatusEffectClass;

private:
	UFUNCTION(BlueprintCallable)
	void OnLocallyObservedPawnChanged();

public:
	UK36InvisibilityStatusEffect();
};

FORCEINLINE uint32 GetTypeHash(const UK36InvisibilityStatusEffect) { return 0; }
